Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 955235 - PRD35 - [RFE] support BIOS boot device menu
Summary: PRD35 - [RFE] support BIOS boot device menu
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-userportal
Version: 3.0.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: 3.5.0
Assignee: Martin Betak
QA Contact: Pavel Novotny
URL:
Whiteboard: virt
Depends On: 1047624
Blocks: 1021703 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-04-22 15:18 UTC by hmiles
Modified: 2018-03-26 11:25 UTC (History)
19 users (show)

Fixed In Version: ovirt-3.5.0-alpha1
Doc Type: Enhancement
Doc Text:
With this feature, BIOS boot menu for virtual machines is now supported. This feature eases selecting boot options when needed.
Clone Of:
: 1021703 (view as bug list)
Environment:
Last Closed: 2015-02-11 17:52:54 UTC
oVirt Team: Virt
Target Upstream Version:
sherold: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 355983 None None None Never
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC

Description hmiles 2013-04-22 15:18:12 UTC
Description of problem:
Almost impossible to get into safe mode or RHEL sea bios. 
For migration: You **need** to hit F8 during boot and go into safe mode to get drivers right, and remove associations to none existent nics otherwise you can not allocate IP number to new nic created by RHEL. Windows server 2003 and 2008 does this to prevent IP conflicts. 
However, by the time vnc or spice initializes it's too late to hit F8 windows is already booting. need to be able to add delay before hard disk boot. when searching access.redhat.com documentation for custom properties unable to find that option. Only able to start vm paused, but this is almost too fast to catch it as well, takes a few tries.

Version-Release number of selected component (if applicable):
Red Hat Enterprise Virtualization 3.0
Microsoft Exchange server 2003 64 bit
rhel-6.3-p2v.iso

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 2 Itamar Heim 2013-08-04 13:24:48 UTC
any libivrt flag allowing to control the time the bios screen will be display?

Comment 3 Dave Allan 2013-08-05 16:23:41 UTC
AFAIK, that's not a value qemu permits to be controlled.  Ademar, can you confirm?

Comment 4 Ademar Reis 2013-08-05 17:36:21 UTC
You can use "-boot menu=on" to display a boot menu for 5 seconds (from SeaBIOS), or use a splash screen and define the timeout:

# 10 secs splash screen
qemu -boot menu=on,splash=/root/boot.bmp,splash-time=10000
(not tested)

Comment 5 Dave Allan 2013-08-05 18:59:13 UTC
Ok, thanks; there isn't libvirt support for that parameter, but it would be easy to add it.

Comment 6 RHEL Product and Program Management 2013-10-14 03:44:35 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 7 Matthew Booth 2013-10-21 12:51:20 UTC
There are 2 issues here:

1. A P2V issue with Windows conversion and NICs.
2. A UI issue hitting F8 on RHEV Windows guests.

The first already has a open bug. The second isn't related to P2V. I'm going to move this over to RHEV to track the second issue.

Comment 8 Itamar Heim 2013-10-21 16:27:51 UTC
dave - any libvirt bug to track comment 3 to block this BZ?

Comment 9 Dave Allan 2013-10-21 20:46:46 UTC
(In reply to Itamar Heim from comment #8)
> dave - any libvirt bug to track comment 3 to block this BZ?

I've cloned it to 1021703.

Comment 10 Michal Skrivanek 2014-02-04 14:41:21 UTC
looks we need bug 1047624 as well at the same time

Comment 11 Andrew Cathrow 2014-02-05 21:59:03 UTC
Is this as simple as adding  <bootmenu enable='yes'/> as a config option

Comment 12 Andrew Cathrow 2014-02-05 21:59:41 UTC
(In reply to Michal Skrivanek from comment #10)
> looks we need bug 1047624 as well at the same time


agree - just read it - I think we can close duplicate.

Comment 13 Michal Skrivanek 2014-02-11 11:16:24 UTC
I'd go with 5s when the menu is enabled.
If one needs more time on initial boot there is the "Start in Paused mode" checkbox

changing title to match the ovirt bug, keeping it to track the downstream feature

Comment 14 Michal Skrivanek 2014-04-17 09:23:42 UTC
upstream code is merged

Comment 15 Pavel Novotny 2014-07-25 12:38:07 UTC
Verified in upstream. Inserting verification info (from bug 1047624 comment 5):

> Verified in ovirt-engine-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch (beta2).
> 
> Verification steps:
> 1. Create a VM with Boot Options -> "Enable boot menu" checked.
> 2. Start VM (to "catch" the default 5 seconds timeout, it helps to run the VM in paused mode).
> 3. Open VM console right after the VM is started.
> 
> Results:
> After initial SeaBIOS and gPXE driver initialization, message "Press F12 for boot menu." appears. After pressing F12, boot device menu is displayed and waits for user input, see attached screenshot.

Comment 17 errata-xmlrpc 2015-02-11 17:52:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.